al_get_glyph(3)

NAME

al_get_glyph - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_ttf.h>
    bool al_get_glyph(const ALLEGRO_FONT *f, int prev_codepoint, int codepoint, ALLEGRO_GLYPH *glyph)

DESCRIPTION

Gets all the information about a glyph, including the bitmap, needed to draw it yourself. prev_codepoint is the codepoint in the string before the one you want to draw and is used for kerning. codepoint is the character you want to get info about. You should clear the 'glyph' structure to 0 with memset before passing it to this function for future compatibility.

SINCE

5.2.1

    [Unstable API]: This API is new and subject to refinement.

SEE ALSO

ALLEGRO_GLYPH(3)